/*
 * @(#)BurnCopy.java
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 2001-2002 Jrg P. M. Haeger
 *
 * webCDwriter is free software. See CDcreator.java for details.
 */

/**
 * This class sets the options of a BurnCopy command
 * on the server.
 *
 * @version 20021008
 * @author Jrg P. M. Haeger
 */
public class BurnCopy extends Burn {
	protected void execBurnCommand() {
		execCommand("burnCopy");
	}

	protected void execOptions() {
		if (Options.audio)
			execCommand("setAudio");
		if (Options.simulate)
			execCommand("setLaserOff");
		if (Options.blankTOC)
			execCommand("setBlankTOC");
		if (Options.closeCD)
			execCommand("setCloseCD");
		if (Options.verify)
			execCommand("setVerify");
	}
}
