/*
 * @(#)Options.java
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 1999-2002 Jrg P. M. Haeger
 *
 * webCDwriter is free software. See CDcreator.java for details.
 */

/**
 * A container for the writing options.
 *
 * @version 20021008
 * @author Jrg P. M. Haeger
 */
class Options {
	static boolean
		audio,
		blankTOC,
		closeCD,
		DAO,
		HFS,
		joliet,
		linkedMultisession,
		offline,
		rockRidge,
		simulate,
		verbose,
		verify;
	static String bootImage, volumeID;
	static int copies, speed = 4;

	/**
	 * set the defaults
	 */
	public static void reset() {
		audio = false;
		blankTOC = false;
		bootImage = null;
		closeCD = false;
		copies = 1;
		DAO = false;
		HFS = false;
		joliet = true;
		linkedMultisession = true;
		offline = false;
		rockRidge = true;
		verbose = false;
		simulate = false;
		verify = false;
		volumeID = "";
	}
}
